View Issue Details

IDProjectCategoryView StatusLast Update
13801Bug reports[All Projects] Ergonomypublic2018-06-27 15:29
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.12.x 
Summary13801: Unable to change language without javascript
Description

Without javascript : unable to change language (at welcome page)

Steps To Reproduce

Deactivate javascript, launch a multi language and try to view home page with language

Additional Information

It was fixed in previous 3.0 pre alpha release
https://testing.sondages.pro/answershtml/index.php/899541?lang=fr

We always need the button, not only when need form. Form is needed ONLY when we are not inside another form (home page for example)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.12.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-06-21 18:39

developer  

DenisChenu

DenisChenu

2018-06-23 16:42

developer   ~48279

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27514

DenisChenu

DenisChenu

2018-06-23 16:42

developer   ~48280

Adding it too to Survey listing

c_schmitz

c_schmitz

2018-06-27 15:29

administrator   ~48333

Version 3.12.3+180627 released

Related Changesets

LimeSurvey: master b119cd4c

2018-06-23 16:41:59

DenisChenu

Details Diff
Fixed issue 13801: Unable to change language without javascript
Dev: remind a lot of user put language changer dropdown in all survey page
Affected Issues
13801
mod - application/config/version.php Diff File
mod - assets/packages/limesurvey/survey.js Diff File
mod - themes/survey/vanilla/views/layout_survey_list.twig Diff File
add - themes/survey/vanilla/views/subviews/navigation/language_changer.twig Diff File
mod - themes/survey/vanilla/views/subviews/navigation/language_changer_first_page.twig Diff File
add - themes/survey/vanilla/views/subviews/navigation/language_changer_form.twig Diff File

Issue History

Date Modified Username Field Change
2018-06-21 18:39 DenisChenu New Issue
2018-06-21 18:39 DenisChenu File Added: Capture du 2018-06-21 18-36-19.png
2018-06-21 21:48 DenisChenu Summary Unavle to change langauge without javascript => Unable to change language without javascript
2018-06-23 16:42 DenisChenu Changeset attached => LimeSurvey master b119cd4c
2018-06-23 16:42 DenisChenu Note Added: 48279
2018-06-23 16:42 DenisChenu Assigned To => DenisChenu
2018-06-23 16:42 DenisChenu Resolution open => fixed
2018-06-23 16:42 DenisChenu Status new => resolved
2018-06-23 16:42 DenisChenu Fixed in Version => 3.12.x
2018-06-23 16:42 DenisChenu Note Added: 48280
2018-06-27 15:29 c_schmitz Note Added: 48333
2018-06-27 15:29 c_schmitz Status resolved => closed